Questo articolo è stato aggiornato in data:

A seguito della recente uscita della nuova versione del CMS Joomla, il Provider Hosting JoomlaHost rende disponibile la preinstallazione di Joomla 1.7 su tutti i propri pacchetti hosting.

In considerazione dell’eventuale upgrade da precedenti versioni a quest’ultima, ecco alcuni utili FAQ che JoomlaHost ha realizzato per l’occasione:

Devo passare dalla versione 1.6 alla versione 1.7?

Assolutamente si.
Joomla 1.6 finirà il suo ciclo di vita ad Agosto 2011, tra solo un mese, oltre questa data non verranno più rilasciati updates di sicurezza, lasciando quindi il vostro sito a rischio di attacco Hacker.
Dovreste quindi passare a Joomla! 1.7 il prima possibile.
L’upgrade da Joomla! 1.6 a Joomla! 1.7 è semplicissimo.

Il mio sito in Joomla 1.6 continuerà a funzionare anche se non passo a Joomla 1.7?

Si, il sito continuerà a funzionare regolarmente… per ora.
Ma come detto sopra non saranno più rilasciati aggiornamenti di sicurezza.

Come si fa l’upgrade dalla 1.6 alla 1.7?

E’ possibile aggiornare Joomla! dalla 1.6 alla 1.7 direttamente con JSP Update Manager.
Prima di tutto assicuratevi che sul vostro sito sia installata la versione 1.6.5. di Joomla!
Questa versione è stata rilasciata a fine Giugno, ed è l’unica versione che vi permette di passare alla 1.7
Dopodichè cliccate sull’icona Update del JSP Update Manager per aggiornare Joomla! alla 1.7 con un semplice click.

I componenti e le estensioni della 1.6 sono compatibili con la 1.7?

Template, estensioni e componenti che già girano sulla 1.6 sono compatibili con la 1.7.
In ogni caso vi consigliamo di fare un backup dell vostro sito, effettuare l’upgrade dalla 1.6 alla 1.7 e fare un test di tutte le estensioni per essere sicuri.

Quali saranno le nuove frature di Joomla 1.7?

Dato il breve tempo passato dalla release della 1.6 i cambiamenti non sono molti. Dal punto di vista dello sviluppo sito, ci sono piccoli miglioramenti, come ad esempio la possibilità di aggiungere immagini di sfondo nei moduli HTML personalizzabili, la possibilità di specificare il nome del sito prima o dopo il titolo della pagina, e il bottone “Rimuovi la cartella d’installazione” durante processo d’installazione.
Dal punto di vista dei programmatori i cambiamenti sono piu significativi.
Il Framework di Joomla! è separato dal CMS, è quindi possibile sviluppare nuove applicazioni col il framework di Joomla!
Inoltre sono stati riparati più di 300 bugs.

Dovrei fare l’upgrade dalla 1.5 alla 1.7?

Dipende.
Se il vostro sito con Joomla! 1.5 non ha problemi consigliamo di non cambiare, Joomla 1.5 sarà supportata sino ad Aprile 2012. Joomla 1.8 verrà rilasciata a Gennaio 2012 e sarà una “long term release” il che significa che verrà supportata per 18 mesi anzichè 6 mesi.

Se dovessi sviluppare un nuovo sito ora, dovrei usare la 1.5 o la 1.7?

In ogni caso tra 6 mesi dovreste aggiornarlo alla 1.8 .
Comunque passare dalla 1.7 alla 1.8 risulterà meno complicato che non passare dalla 1.5 alla 1.7 per poi passare alla 1.8.
Quindi iniziare a sviluppare con la 1.7 è più sensato. In caso aveste bisogno di estensioni compatibili ancora solo per la 1.5 ( K2 è ancora in versione di test sulla 1.6 e molti componente per l’e-commerce come VirtueMart, redSHOP e Tienda sono disponibili solo per la 1.5) allora vi consigliamo di usare la 1.5.

Aggiornare Joomla con Joomla Security Pack

Non dimenticate poi che è possibile aggiornare semplicemente Joomla con Joomla Security Pack; qui trovate maggiori informazioni di un articolo su Web Hosting Magazine.

Vai al sito ufficiale di JoomlaHost